package auth.config;

import com.bwie.auth.interceptor.ApiIdempotentInterceptor;
import com.bwie.auth.interceptor.RepeatSubmitInterceptor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @author : ZhangBingYan
 * @className : InterceptorConfig
 * @description : 描述说明该类的功能
 * @createTime : 2023/10/4 17:35
 * @updateUser : ZhangBingYan
 * @updateTime : 2023/10/4 17:35
 * @updateRemark : 描述说明本次修改内容
 */
// 配置拦截器
@Configuration
public class InterceptorConfig implements WebMvcConfigurer {
    @Autowired
    private ApiIdempotentInterceptor apiIdempotentInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(apiIdempotentInterceptor).addPathPatterns("/auth/login");
        registry.addInterceptor(new RepeatSubmitInterceptor()).addPathPatterns("/**");
    }
}
