package auth.feign;

import com.bwie.common.domain.SysUser;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @author : ZhangBingYan
 * @className : SysFeign
 * @description : 描述说明该类的功能
 * @createTime : 2023/7/28 9:29
 * @updateUser : ZhangBingYan
 * @updateTime : 2023/7/28 9:29
 * @updateRemark : 描述说明本次修改内容
 */
@FeignClient(name = "bwie-system")
public interface SysFeign {
    /**
     * 根据名称查询信息
     * */
    @GetMapping("findByName/{userName}")
    public Result<SysUser> findByName(@PathVariable String userName);
}
