package common.utils;

import org.redisson.Redisson;
import org.redisson.api.RedissonClient;
import org.redisson.config.Config;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.io.IOException;

/**
 * @BelongsProject: demo02
 * @BelongsPackage: com.bw.config
 * @Author: zhupengfei
 * @CreateTime: 2022-12-24  09:26
 */

@Configuration
public class RedissonConfig {

    @Bean(destroyMethod="shutdown") // 服务停止后调用 shutdown 方法。
    public RedissonClient redisson() throws IOException {
        System.out.println("配置类初始加载......");
        // 1.创建配置
        Config config = new Config();
        // 集群模式
        // config.useClusterServers().addNodeAddress("127.0.0.1:6379", "127.0.0.1:6378");
        // 2.根据 Config 创建出 RedissonClient 实例。
        config.useSingleServer().setAddress("redis://192.168.10.131:6379");
//        config.useSingleServer().setAddress("redis://127.0.0.1:6379");
        return Redisson.create(config);
    }

}
