package system.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.SysUser;
import com.bwie.common.result.Result;
import com.bwie.system.service.UserService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @author : ZhangBingYan
 * @className : UserController
 * @description : 描述说明该类的功能
 * @createTime : 2023/7/28 9:16
 * @updateUser : ZhangBingYan
 * @updateTime : 2023/7/28 9:16
 * @updateRemark : 描述说明本次修改内容
 */
@RestController
@Log4j2
public class UserController {
    @Autowired
    private UserService userService;
    @Autowired
    private HttpServletRequest request;
    /**
     * 根据名称查询信息
     * */
    @GetMapping("findByName/{userName}")
    public Result<SysUser> findByName(@PathVariable String userName){
        log.info("功能名称:根据名称查询信息,请求URI:{},请求方法:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(userName));
        SysUser sysUser=userService.findByName(userName);
        Result<SysUser> result=Result.success(sysUser);
        log.info("功能名称:根据名称查询信息,请求URI:{},请求方法:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }
}
